# This file gets loaded from C:/eclipse/Povclipse2-log4j.properties
#
# Set root logger level to DEBUG and its only appender to A1.
log4j.rootLogger=info, stdout
log4j.logger.org.povclipse2=info, PovClipse

# Console logger
log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout

# Pattern to output the caller's file name and line number.
#log4j.appender.stdout.layout.ConversionPattern=%-5p %d{HH:mm:ss,SSS} [%-15.15t] (%40.40F : %-40.40M : %4L) %x - %m%n
log4j.appender.stdout.layout.ConversionPattern=%d %p [%c:%L] - %m%n
log4j.appender.stdout.Threshold=debug

# PovClipse is set to be a PluginFileAppender.
log4j.appender.PovClipseX=com.tools.logging.PluginFileAppender
log4j.appender.PovClipseX.Append=false
log4j.appender.PovClipseX.File=PovClipse.log
log4j.appender.PovClipseX.layout=org.apache.log4j.PatternLayout
log4j.appender.PovClipseX.layout.ConversionPattern=%-5p %d{HH:mm:ss,SSS} [%-15.15t] (%40.40F : %-40.40M : %4L) %x - %m%n

log4j.appender.PovClipse=org.apache.log4j.RollingFileAppender
log4j.appender.PovClipse.File=/tmp/povclipse2.log
log4j.appender.PovClipse.Threshold=debug
log4j.appender.PovClipse.MaxFileSize=8192KB
log4j.appender.PovClipse.MaxBackupIndex=6
log4j.appender.PovClipse.layout=org.apache.log4j.PatternLayout
log4j.appender.PovClipse.layout.ConversionPattern=%d %p [%c:%L] - %m%n

log4j.logger.org.eclipse=warn
log4j.logger.org.povclipse2.editors.ini.IniEditorParser=debug
log4j.logger.org.povclipse2.editors.processors=info